libvisio::XMLErrorWatcher Class Reference

`#include <libvisio_xml.h>`

## Public Member Functions

| XMLErrorWatcher ()
bool | isError () const
void | setError ()

## Private Member Functions

| XMLErrorWatcher (const XMLErrorWatcher &)
XMLErrorWatcher & | operator= (const XMLErrorWatcher &)

## Private Attributes

bool | m_error

## Constructor & Destructor Documentation

## XMLErrorWatcher() [1/2]

libvisio::XMLErrorWatcher::XMLErrorWatcher | ( | const XMLErrorWatcher & |  | ) |

private

Referenced by operator=(), and XMLErrorWatcher().

## XMLErrorWatcher() [2/2]

libvisio::XMLErrorWatcher::XMLErrorWatcher | ( |  | ) |

## Member Function Documentation

## isError()

bool libvisio::XMLErrorWatcher::isError | ( |  | ) | const

Referenced by libvisio::VSDXMetaData::parse(), and libvisio::VSDXParser::processXmlDocument().

## operator=()

XMLErrorWatcher & libvisio::XMLErrorWatcher::operator= | ( | const XMLErrorWatcher & |  | ) |

private

## setError()

void libvisio::XMLErrorWatcher::setError | ( |  | ) |

## Member Data Documentation

## m_error

bool libvisio::XMLErrorWatcher::m_error

private

Referenced by isError(), setError(), and XMLErrorWatcher().

The documentation for this class was generated from the following files:

- libvisio_xml.h
- libvisio_xml.cpp